﻿var browser = {
	versions: function () {
		var u = navigator.userAgent, app = navigator.appVersion;
		return {//移动终端浏览器版本信息
			trident: u.indexOf('Trident') > -1, //IE内核
			presto: u.indexOf('Presto') > -1, //opera内核
			webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
			gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
			mobile: !!u.match(/AppleWebKit.*Mobile.*/) || !!u.match(/AppleWebKit/), //是否为移动终端
			ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
			android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
			//iPhone : u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
			iPhone: u.indexOf('iPhone') > -1,
			iPad: u.indexOf('iPad') > -1, //是否iPad
			webApp: u.indexOf('Safari') == -1, //是否web应该程序，没有头部与底部
			ux: u
		};
	} (),
	language: (navigator.browserLanguage || navigator.language).toLowerCase()
}



var site = site || {
	userType: "777",
	pcType:"",
	getUrlPramChange: function (type) {
		var pram = '777';
		switch (type) {
			case '1':
				pram = '166';
				break;
			case '2':
				pram = '173';
				break;
			case '3':
				pram = '177';
				break;
			case '4':
				pram = '179';
				break;
			case '5':
				pram = '220';
				break;
			case '6':
				pram = '186';
				break;
			case '7':
				pram = '187';
				break;
			case '8':
				pram = '199';
				break;
			case '9':
				pram = '227';
				break;
			case '10':
				pram = '229';
				break;
			case '11':
				pram = '230';
				break;
			case '12':
				pram = '238';
				break;
			case "13":
				pram = '289';
				break;
			case "14":
				pram = '97';
				break;
			case "16":
				pram = '357';
				break;
			case "17":
				pram = '358';
				break;
			case "18":
				pram = '359';
				break;
			case "19":
				pram = '368';
				break;
			case "20":
				pram = '375';
				break;
			case "21":
				pram = '378';
				break;
			case "22":
				pram = '635';
				break;
		}
		return pram;
	},
	verifyNumber: function (value) {
		if (!value.match(/[^\d]/g)) {
			//含有数字返回true
			return false;
		} else {
			//不含有数字返回true
			return true;
		}
	},
	getUrlPram: function () {
		var pram = "777";
		var prams = window.location.href.split('#');
		if (prams.length == 2) {
			var ts=prams[1];
			var ppc=ts.split('&')
			if(ppc.length == 2){
				ts=ppc[0];
				site.pcType=ppc[1];
				pram=ppc[0];
			}
			else{
				pram = site.getUrlPramChange(ts);
			}
			if (site.verifyNumber(ts)) {
				pram = "777";
				if (prams[1] == "BU") {
					pram = "BU";
				}
			}
		}
		return pram;
	},
	gotoSite: function (browser, usType) {
		var bool = false;
		if (!browser.versions.android && !browser.versions.iPhone) {
			if (browser.versions.iPad) {
				//location.href = "http://www.bullcome.com";
			} else {
				
				if (usType == '777') {
					location.href = "http://t5.bullcome.com";
				} else if (usType == '166') {
					location.href = "https://t5.bullcome.com/?smtype=84";
				} else if (usType == '173') {
					location.href = "https://t5.bullcome.com/?smtype=130";
				} else if (usType == '177') {
					location.href = "https://t5.bullcome.com/?smtype=128";
				} else if (usType == '179') {
					location.href = "https://t5.bullcome.com/?smtype=180";
				} else if (usType == '199') {
					location.href = "https://t5.bullcome.com/?smtype=695";
				} else if (usType == '220') {
					location.href = "https://t5.bullcome.com/?smtype=221";
				} else if (usType == '238') {
					location.href = "https://t5.bullcome.com/?smtype=239";
				} else if (usType == '289') {
					location.href = "https://t5.bullcome.com/?smtype=656";
				} else if (usType == '97') {
					location.href = "https://t5.bullcome.com/?smtype=639";
				} else if (usType == '357') {
					location.href = "https://t5.bullcome.com/?smtype=357";
				}
				else if (usType == '358') {
					location.href = "https://t5.bullcome.com/?smtype=355";
				}
				else if (usType == '359') {
					location.href = "https://t5.bullcome.com/?smtype=356";
				} else if (usType == '230') {
					location.href = "https://t5.bullcome.com/?smtype=230";
				}
				else if (usType == '368') {
					location.href = "https://t5.bullcome.com/?smtype=367";
				}
				else if (usType == '375') {
					location.href = "https://t5.bullcome.com/?smtype=374";
				}
				else if (usType == '378') {
					location.href = "https://t5.bullcome.com/?smtype=377";
				}else if(usType == '227'){
					location.href = "https://t5.bullcome.com/?smtype=227";
				}
				else if(usType == '186'){
					location.href = "https://t5.bullcome.com/?smtype=652";
				}
				else if(usType == '187'){
					location.href = "https://t5.bullcome.com/?smtype=653";
				}else if(site.pcType!=""){
					location.href = "https://t5.bullcome.com/?smtype="+site.pcType;
					//location.href = "http://clickstatistics_TT.bullcome.com.cn/bullGoto.aspx?type=bullWeb4&stype="+site.pcType+"&ntype="+site.pcType;
				}
				else {
					location.href = "http://t5.bullcome.com";
				}

			}
			bool = true;
		}
		return bool;
	},
}
site.userType = site.getUrlPram();
if (site.userType == "220") {
	location.href = "weibo/index.html";
} else {
	if (typeof phoneClient == "undefined") { phoneClient = false };
	//alert(site.userType);
	if (!phoneClient) {
		if (site.userType != 'BU') {
			var urlmainc = window.location.href;
			if (urlmainc.indexOf('independentPage/communityShare/') == -1) {
				site.gotoSite(browser, site.userType);
			}
		}
	}
	userType = site.userType == 'BU' ? "777" : site.userType;

}
//