$(function () {
	var todayTop, todayTopScroll, PCScroll, TopBanner, todayAssessScroll, todayAssess, todayItemScroll;
	var hotDownloadPCArr = [{
			logo: 'hw.png',
			text: '华为',
			p: '「应用商店」',
			url: 'https://appgallery.cloud.huawei.com/ag/n/app/C10287981?locale=zh_CN&source=appshare&subsource=C10287981&shareTo=com.tencent.wework&shareFrom=appmarket'
		},
		{
			logo: 'pg.png',
			text: '苹果手机',
			p: '「应用商店」',
			url: 'https://apps.apple.com/cn/app/%E5%8D%9A%E5%B0%94%E9%87%8F%E5%8C%96%E4%BA%A4%E6%98%93/id889933669'
		},
		{
			logo: 'xm.png',
			text: '小米',
			p: '「应用商店」',
			url: 'http://app.mi.com/details?id=com.bullcome.phonepush'
		},
		{
			logo: 'lx.png',
			text: '联想手机',
			p: '「应用商店」',
			url: 'https://www.lenovomm.com/appdetail/com.bullcome.phonepush/0#com.tencent.mm'
		},
		{
			logo: 'mtll.png',
			text: '摩托罗拉手机',
			p: '「应用商店」',
			url: 'https://www.lenovomm.com/appdetail/com.bullcome.phonepush/0#com.tencent.mm'
		},
		{
			logo: 'mz.png',
			text: '魅族',
			p: '「应用商店」',
			url: 'http://app.meizu.com/apps/public/detail?package_name=com.bullcome.phonepush'
		},
		{
			logo: '360sj.png',
			text: '360手机',
			p: '「应用商店」',
			url: 'http://zhushou.360.cn/detail/index/soft_id/1575648?recrefer=SE_D_博尔量化'
		},
		{
			logo: 'yyb.png',
			text: '腾讯应用宝',
			p: '「应用市场」',
			url: 'https://android.myapp.com/myapp/detail.htm?apkName=com.bullcome.phonepush'
		},
		{
			logo: 'bd.png',
			text: '百度手机',
			p: '「应用市场」',
			url: 'https://shouji.baidu.com/software/27028408.html'
		},
		// {
		// 	logo: 'pp.png',
		// 	text: 'PP助手',
		// 	p: '「应用市场」',
		// 	url: 'https://www.25pp.com/android/detail_2549095/'
		// },
		{
			logo: 'wdj.png',
			text: '豌豆荚',
			p: '「应用市场」',
			url: 'https://www.wandoujia.com/apps/2549095'
		},
		{
			logo: 'az.png',
			text: '安智市场',
			p: '「应用市场」',
			url: 'https://www.wandoujia.com/apps/2549095'
		},
		// {
		// 	logo:'jfw.png',
		// 	text:'机锋市场',
		// 	p:'「应用市场」',
		// 	url:'http://apk.gfan.net.cn/Product/App754618.html'
		// },
		// {
		// 	logo:'sjly.png',
		// 	text:'手机乐园',
		// 	p:'「应用市场」',
		// 	url:'https://soft.shouji.com.cn/down/85112.html'
		// },
		{
			logo: 'sg.png',
			text: '搜狗手机助手',
			p: '「应用市场」',
			url: 'http://mobile.zhushou.sogou.com/android/appdetail_share.html?app_id=319084'
		},
	];
	PCScroll = new Swiper('#PCScroll', {
		slidesOffsetBefore: 0,
		direction: 'vertical',
		freeMode: true,
		slidesPerView: 'auto',
		resistanceRatio: 0,
		mousewheel: {
			releaseOnEdges: true,
		},
	});
	contentScroll = new Swiper('#contentScroll', {
		slidesOffsetBefore: 0,
		direction: 'vertical',
		freeMode: true,
		slidesPerView: 'auto',
		resistanceRatio: 0,
		mousewheel: {
			releaseOnEdges: true,
		},
	});
	var showNum = parseInt($('#NUM').css('width').replace('px', ''));
	userFeelSlide = new Swiper('#userFeelSlide', {
		slidesPerView: showNum,
		spaceBetween: 30,
		navigation: {
			nextEl: '.swiper-button-next',
			prevEl: '.swiper-button-prev',
		},
		pagination: {
			clickable: true,
			el: '.swiper-pagination',
		},
	});
	BannerPCScroll = new Swiper('#BannerPC', {
		loop: true,
		autoplay: {
			delay: 6000,
		},
		pagination: {
			el: '.swiper-pagination',
		},
	});
	var videoArr = [];
	var textArr = [];

	function getText(id) {
		var htmls = "";
		for (var i = 0; i < textArr.length; i++) {
			var obj = JSON.parse(textArr[i].Content);
			var temp = $('#text_PCTemp').html();
			var str = obj.contents.replace(/<\/?.+?>/g, "");
			str = str.replace(/ /g, ""); //dds为得到后的内容
			var author = str.substr(str.indexOf("博尔用户"), 10).trim();
			if (author == "") author = str.substr(str.indexOf("博尔客户"), 10).trim();
			var _bdate = obj.sdate.toString().replace("-", "/").replace("-", "/");
			var sdatex = new Date(_bdate).Format('MM.DD');
			var sdateY = new Date(_bdate).Format('YYYY');
			temp = temp.replace('{title}', obj.titles);
			temp = temp.replace('{date}', sdatex);
			temp = temp.replace('{sdateY}', sdateY);
			temp = temp.replace('{content}', str);
			temp = temp.replace('{id}', 'Top' + textArr[i].id);
			temp = temp.replace('{author}', author);
			temp = temp.replace('{ACType}', textArr[i].ActivationContentType);
			id.appendSlide(temp);
		}
		userFeelSlide.update();
		PCScroll.update();
		$(".u_r_i").unbind("click").bind("click", function () {
			var that = this;
			var id = $(this).attr('id').replace('Top', '');
			var title = $(this).find('.u_r_text').html();
			//var time = $(this).find('.yh_text_top time').html();
			//var centent = $(this).find('.yh_text_center p').html();
			//$("#UserEvaluateWin").attr("winlist", htmID);
			$('.p_title').html(title);
			//$('#UserEvaluateDate').html(time);
			//$('#todayItemText_box').html(centent);
			chart.GetActivationContentCM('3', 1, id, function (json) {
				var obj = JSON.parse(json[0].Content);
				var _xdate
				var _bdate = obj.sdate.toString().replace("-", "/").replace("-", "/");
				var sdatex = new Date(_bdate).Format('YYYY.MM.DD');
				$("#UserEvaluateTitle").html(obj.titles);
				$("#UserEvaluateDate").html(sdatex);
				var contents = $(that).attr("class") == "yh_voice" ? $(that).html() : obj.contents;
				//$("#todayItemText_box").removeClass("yh_article-p");
				var ACTName = $(that).attr("ACType") + "窗口";
				//$("#UserEvaluateContent").addClass("yh_article-p");
				$(".p_content").html(contents);
				chart.UserFUDate(ACTName + "_用户评价", id);
				$('.Details_Page').show();
				$('#closeBtn,.Details_Page .bg').unbind('click').bind('click', function () {
					$('.Details_Page').hide();
				})
				contentScroll.update();
			});
		});
	}

	function GetActivationContent(ACTId, htmID, Scroll) { //55555
		console.log('8888')
		$("#" + htmID).html("");
		chart.GetActivationContent(ACTId, 1, function (json) {
			console.log(json)
			var htmls = "";
			for (var i = 0; i < json.length; i++) {
				var obj = JSON.parse(json[i].Content);
				var temp = "";
				if (json[i].CTypeID == "语音留言") {
					temp = $("#ActivationContentMP3Temp").html();
				} else {
					temp = $("#ActivationContentTxtTemp").html();
					textArr.push(json[i]);
				}
			}
			getText(userFeelSlide);
		});
	}
	GetActivationContent('3');


	var newhotDownloadPCArr = hotDownloadPCArr.splice(7, 7);

	function HotDownloadPC(id, scroll, Length) {
		var arr = hotDownloadPCArr;
		if (id == 'pc_DISBlock') {
			arr = newhotDownloadPCArr;
		}
		if (Length == '') {
			Length = arr.length;
		}
		$('#' + id).html('');
		for (var i = 0; i < Length; i++) {
			var img = '../images/TopLogo/' + arr[i].logo,
				text = arr[i].text,
				url = arr[i].url,
				p = arr[i].p,
				temp = $('#itemTempPC').html();
			temp = temp.replace('{img}', img);
			temp = temp.replace('{text}', text);
			temp = temp.replace('{p}', p);
			temp = temp.replace('{url}', url);
			temp = temp.replace('{url2}', url);
			$('#' + id).append(temp);
		}
		scroll.update();
		scroll.scrollbar.updateSize();
	}
	HotDownloadPC('pc_downBlock', PCScroll, '7');
	HotDownloadPC('pc_DISBlock', PCScroll, '');

	function check() {
		var homeTop = $('#home').position().top;
		var appDownTop = $('#appDown').position().top;
		var DisBlockTop = $('#DisBlock').position().top;
		var userFeelTop = $('#userFeel').position().top;
		if (PCScroll.getTranslate() >= -homeTop) {
			$('#navPc li').removeClass('active').eq(0).addClass('active')
		} else if (PCScroll.getTranslate() > -appDownTop) {
			$('#navPc li').removeClass('active').eq(1).addClass('active')
		} else if (PCScroll.getTranslate() > -DisBlockTop) {
			$('#navPc li').removeClass('active').eq(2).addClass('active')
		} else if (PCScroll.getTranslate() > -userFeelTop) {
			$('#navPc li').removeClass('active').eq(3).addClass('active')
		}
		if (PCScroll.getTranslate() < -80) {
			$('.nav_block').addClass('blackCss');
		} else {
			$('.nav_block').removeClass('blackCss');
		}
	}
	setInterval(check, 10);
	$('#navPc li').unbind('click').bind('click', function () {
		var thisVal = $(this).attr('val');
		if (thisVal == 'community') {
			window.open('http://ask.bullcome.com/#/index');
		} else {
			$(this).addClass('active').siblings().removeClass('active')
			var offsetTop = $('#' + thisVal).position().top;
			if (thisVal != 'home') {
				offsetTop = $('#' + thisVal).position().top - 80;
			}
			if (thisVal == 'userF') {
				offsetTop = offsetTop - $('#' + thisVal).height();
			}
			PCScroll.setTransition(500); //设定过渡的时间
			PCScroll.setTranslate(-offsetTop);
		}
	});
	$('.nowBtn').unbind('click').bind('click', function () {
		$('#navPc li').eq(1).trigger('click');
	});
	var browser = {
		versions: function () {
			var u = navigator.userAgent,
				app = navigator.appVersion;
			return { //移动终端浏览器版本信息
				trident: u.indexOf('Trident') > -1, //IE内核
				presto: u.indexOf('Presto') > -1, //opera内核
				webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
				gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
				mobile: !!u.match(/AppleWebKit.*Mobile.*/) || !!u.match(/AppleWebKit/), //是否为移动终端
				ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
				android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
				//iPhone : u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
				iPhone: u.indexOf('iPhone') > -1,
				iPad: u.indexOf('iPad') > -1, //是否iPad
				webApp: u.indexOf('Safari') == -1, //是否web应该程序，没有头部与底部
				ux: u
			};
		}(),
		language: (navigator.browserLanguage || navigator.language).toLowerCase()
	}
	if (browser.versions.android || browser.versions.iPhone) {
		BannerPCScroll.slideTo(0, 0, false);
		$('#userF').find('.swiper-button-next').hide();
		$('#userF').find('.swiper-button-prev').hide();
	} else {
		BannerPCScroll.slideTo(1, 0, false);
	}
	//获取配置文件信息
	function communityConfig() {
		return new Promise(function (resolve, reject) {
			$.getJSON("https://bullwebinfoswebservices.bullcome.com/BullWebInfosSys.ashx?jsoncallback=?", {
				comd: "CommunityConfig"
			}, function (json, status) {
				if (status == 'success') {
					resolve(json)
				} else {
					reject();
				}
			})
		})
	}
	$('.Copyright').html('2006-' + new Date().getFullYear())
	communityConfig().then(function (res) {
		var year = res.year ? res.year : new Date().getFullYear();
		$('.Copyright').html('2006-' + year)
	}).catch(function () {
		var year = new Date().getFullYear();
		$('.Copyright').html('2006-' + year)
	})
})