; (function ($) {
    $.extend({
        tipsBox: function (options) {
            
            options = $.extend({
                obj: null, 
                str: "+1",  
                startSize: "12px", 
                endSize: "30px",   
                interval: 2*1000, 
                color: "red",    
                callback: function () { }    
            }, options);
            
            $("body").append("<span class='DianZannum'>" + options.str + "</span>");
            var box = $(".DianZannum");
            var left = options.obj.offset().left + options.obj.width() / 2-20;
            var top = options.obj.offset().top - options.obj.height() * 2+20;
            box.css({
                "position": "absolute",
                "left": left + "px",
                "top": top + "px",
                "z-index": 9999,
                "font-size": options.startSize,
                "line-height": options.endSize,
                "color": options.color,
                "font-weight": "bold",
                "background": "rgba(0, 0, 0, 0) url('../../images/ico_thing.png') no-repeat scroll left center",
                "padding-left": "22px"
            });
            box.animate({
                "font-size": options.endSize,
                "opacity": "0",
                "top": top - parseInt(options.endSize) + "px"
            }, options.interval, function () {
                box.remove();
                options.callback();
            });
        }
    });
})(jQuery);